Author Topic: Subversion: which svn version does SE 14.0.2.2 support?  (Read 2595 times)

mjdl

  • Senior Community Member
  • Posts: 108
  • Hero Points: 8
  • SlickEdit 2016 v21.0.3.0 x64, Windows 7 SP1 x64
Subversion: which svn version does SE 14.0.2.2 support?
« on: January 14, 2010, 06:43:33 pm »
Subversion is now up to version 1.6.6, see the release notes at http://subversion.tigris.org/svn_1.6_releasenotes.html

They list some changes and new material in the text output of the commands (I wish SE would use the XML output option of svn commands, parsing tagged text would be less fragile in the long term).

Which version of subversion did the SE team develop and test the SE version control features for? 1.4 or 1.5? I'd prefer to install the appropriate Win32 version, whatever it is.

Also, would it be possible to create a web page on the Slickedit.com site that lists all such version dependencies, i.e. exactly which version of 3rd party software was used in developing SE features? Yhat would make life with SE a little more certain...

Matthew

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 990
  • Hero Points: 44
Re: Subversion: which svn version does SE 14.0.2.2 support?
« Reply #1 on: January 14, 2010, 10:37:06 pm »
The subversion support in the current SE 2009 was done with SVN 1.5.x in mind. But I've been using svn 1.6.5 (on Windows) and svn 1.5.x (on Mac) in SE 2009 without any (major) problems.

For the next release of SlickEdit, you'll want to use svn 1.6.x. It'll still work with previous revs, but we are currently adding new Subversion features that make use of the extended merge info available in 1.6.x. (And yes, some of the newer features now use the XML output format if it's available)

We just recently made the switch in-house from CVS to SVN, so we'll be focusing more of our attention to improving the subversion support.

mjdl

  • Senior Community Member
  • Posts: 108
  • Hero Points: 8
  • SlickEdit 2016 v21.0.3.0 x64, Windows 7 SP1 x64
Re: Subversion: which svn version does SE 14.0.2.2 support?
« Reply #2 on: January 15, 2010, 05:03:57 am »
Matthew, many thanks for the detailed reply, it puts my mind at rest about potentially mucking things up on the repository<->working copy link. but do you think letting svn.exe upgrade the local copy from 1.5.x to 1.6.6 in-place, rather than checking out entirely new local copies, is going to be safe? Is that something you've done successfully?

Matthew

  • SlickEdit Team Member
  • Senior Community Member
  • *
  • Posts: 990
  • Hero Points: 44
Re: Subversion: which svn version does SE 14.0.2.2 support?
« Reply #3 on: January 17, 2010, 08:02:22 am »
I've not had any problems with auto-upgraded working copies. The only thing you've got to watch out for is if you use multiple svn clients, that they all are on the same major.minor version.
I've also had no issue with using 1.6 on the server side. But I've not upgraded a 1.5 repository to 1.6.

mjdl

  • Senior Community Member
  • Posts: 108
  • Hero Points: 8
  • SlickEdit 2016 v21.0.3.0 x64, Windows 7 SP1 x64
Re: Subversion: which svn version does SE 14.0.2.2 support?
« Reply #4 on: January 18, 2010, 02:13:14 am »
Thank you for this response.